List Repo Bindings
GET /repo-bindingsParameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
installation_id | query | integer | null | optional | — |
repo_full_name | query | string | null | optional | owner/name, compared without regard to case |
agent_id | query | string (uuid) | null | optional | bindings that name this agent as reviewer or editor |
is_active | query | boolean | null | optional | — |
limit | query | integer | optional | Default 50. min 1 max 200 |
cursor | query | string | null | optional | — |
offset | query | integer | null | optional | min 0 |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | Page_RepoBindingView_ |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/repo-bindings \ -H "Authorization: Bearer $COBRE_TOKEN"Response — Page_RepoBindingView_
Section titled “Response — Page_RepoBindingView_”| Field | Type | Notes | |
|---|---|---|---|
items | RepoBindingView[] | required | — |
next_cursor | string | null | optional | — |
total | integer | null | optional | — |